Type definition

SYNOPSIS

pi_id | pi_typedef(pi_data *);

PARAMETER

pi_data.from: | start typedef name
pi_data.to: | end typedef name
pi_data.name: | typedef name
pi_data.flags: | (PI_PUBLIC|PI_PROTECTED | PI_PRIVATE)
pi_data.type: | type definition
pi_data.related: | pi_id of class including the typedef as member Default: previous class not terminated or global scope if no non-terminated class found

DESCRIPTION
This function must be called whenever the parser detects a type definition in the source file.
C/C++ example
typedef char *string;
SNiFF+ Fuzzy Parser action

pi_data.from: | points to start of " string "
pi_data.to: | points to end of " string "
pi_data.name: | " string "
pi_data.type: | char*

SNiFF+ usage
highlighted in Source Editor

| Note
| The defined type is valid in a class scope if the function pi_typedef() is called inside a class declaration (between pi_start_class() and pi_end_class() ).